<ng-container *transloco="let t; prefix: 'agentConfiguration'">
  <div class="col-12 d-flex row justify-content-start align-items-center">
    <div class="col-12 mt-3">{{ t('credentialsImport.credentialsImportDescription') }}</div>
    <div class="col-12 mt-3 justify-content-center">
      <button euiButton euiPrimary (click)="openDialog()">
        <eui-icon-svg icon="eui-file-upload"></eui-icon-svg>
        <span euiLabel>{{ t('credentialsImport.launchCredentialsUpload') }}</span>
      </button>

      <eui-dialog #dialog
                  [title]="t('credentialsImport.title')"
                  [dismissLabel]="t('credentialsImport.cancel')"
                  [acceptLabel]="t('credentialsImport.confirm')"
                  (accept)="onAccept()"
                  (dismiss)="onDismiss()">
        @switch (status) {
          @case ("loading") {
            <div class="w-full d-flex row items-center justify-content-center py-2">
              <p>{{t('credentialsImport.loading)}}</p>
              <eui-progress-bar isIndeterminate=""></eui-progress-bar>
            </div>
          }
          @case ("prompt") {
            <p>{{t('credentialsImport.message')}}</p>
            <p>{{t('credentialsImport.message2')}}</p>

            <form [formGroup]="form" enctype="multipart/form-data">
              <eui-file-upload formControlName="file" [progress]="progress" [hasPreview]="false" hasDragArea="" [accept]="'.pem'">
              </eui-file-upload>
            </form>
          }
          @default {
            @if (status === "error") {
              <p class="text-danger">{{t('credentialsImport.error')}}</p>
            } @else {
              <p class="text-success">{{t('credentialsImport.success')}}</p>
            }
          }
        }
      </eui-dialog>
    </div>
  </div>
</ng-container>
